# danger-jira

[![License](http://img.shields.io/badge/license-MIT-green.svg?style=flat)](LICENSE.txt)
[![Gem](https://img.shields.io/gem/v/danger-jira.svg?style=flat)](https://rubygems.org/gems/danger-jira)

A [Danger](https://github.com/danger/danger) plugin for that links JIRA issues to pull requests. Inspired by [danger-plugin-jira-issue](https://github.com/macklinu/danger-plugin-jira-issue)

## Installation

Add this line to your Gemfile:

```rb
gem 'danger-jira'
```

## Usage

```ruby
// Dangerfile
jira.check(
  key: ["KEY", "PM"],
  url: "https://myjira.atlassian.net/browse",
  search_title: true,
  search_commits: false,
  fail_on_warning: false,
  report_missing: true,
  skippable: true
)
```

With "KEY-123" in the PR title or PR body, Danger will comment with:

<table>
  <thead>
    <tr>
      <th width="50"></th>
      <th width="100%" data-danger-table="true">Messages</th>
    </tr>
  </thead>
  <tbody><tr>
      <td>:book:</td>
      <td>:paperclip: <a href="https://myjira.atlassian.net/browse/KEY-123">KEY-123</a></td>
    </tr>
  </tbody>
</table>


<p align="right">
  Generated by :no_entry_sign: <a href="http://github.com/danger/danger/">Danger</a>
</p>

## Skipping

You can skip danger checking for a JIRA issue by having `[no-jira]` in your title or PR body.

## License

MIT
